<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-                                            *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Test timestamp
	$STAMP = mktime(0, 0, 0, bigintval(postRequestElement('month')), bigintval(postRequestElement('day')), bigintval(postRequestElement('year')));
	if ($STAMP > time()) {
		// Date is in the future!
		unsetPostRequestElement('ok');
	} else {
		// Remove entries
		unsetPostRequestElement('day');
		unsetPostRequestElement('month');
		unsetPostRequestElement('year');

		// Remember timestamp
		setRequestPostElement('mt_start', $STAMP);
	}

	// Convert some data
	setRequestPostElement('mt_stage', bigintval(postRequestElement('mt_stage')));
	if (postRequestElement('mt_stage') <= countSumTotalData('CONFIRMED', 'user_data', 'userid', 'status', true)) {
		// Not enougth!
		unsetPostRequestElement('ok');
	}
}

if (isFormSent()) {
	// Save data
	adminSaveSettingsFromPostData();
} else {
	// Start of this exchange
	if (getConfig('mt_start') > 0) {
		// Only show start
		$content['mt_start'] = '<strong>' . generateDateTime(getConfig('mt_start'), 3) . '</strong>';
	} else {
		// Make start editable
		$content['mt_start'] =
			addSelectionBox('day'  , date('d', time())).
			addSelectionBox('month', date('m', time())).
			addSelectionBox('year',  -1)
		;
	}

	// Load template
	loadTemplate('admin_config_mediadata', false, $content);
}

//
?>
